PX_SET_BLOB_FILE(3)

NAME
PX_set_blob_file — Associate blob file with database

SYNOPSIS

#include <paradox.h>

int PX_set_blob_file(pxdoc_t *pxdoc, const char *filename)

DESCRIPTION

Opens or creates the given blob file and associates it with the Paradox database. This function must be called before accessing records whose blob data is stored in a .MB file. It must also be called after opening or creating the paradox database. If the blob data is contained in the record itself or can be stored in the record, this function may not be called.

This function must be called after opening or creating the database file, because it uses the same file open mode. If you call it before
PX_open_file(3) or PX_create_file(3)     it will quit with an error.

RETURN VALUE

Returns a value < 0 in case of an error, otherwise 0.

SEE ALSO

PX_open_file(3), PX_create_file(3)

AUTHOR

This manual page was written by Uwe Steinmann uwe@steinmann.cx.